commit:     e6b7db41d6b73d0b9a95acbf5c0c5b270841bc14
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon May 31 13:35:06 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jun  2 19:04:55 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e6b7db41

dev-util/dialog: add 1.3.20210530

Acked-by: David Seifert <soap <AT> gentoo.org>
Signed-off-by: Sam James <sam <AT> gentoo.org>
Closes: https://github.com/gentoo/gentoo/pull/21059
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/dialog/Manifest                   |  1 +
 dev-util/dialog/dialog-1.3.20210530.ebuild | 53 ++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-util/dialog/Manifest b/dev-util/dialog/Manifest
index 34a19df3864..9ea2bdf860e 100644
--- a/dev-util/dialog/Manifest
+++ b/dev-util/dialog/Manifest
@@ -1,2 +1,3 @@
 DIST dialog-1.3-20200327.tar.gz 547962 BLAKE2B 
b335d8b57d9a9f3a7e303aa3b2c64736007b66618a79c79368d9dba20a8123813cdeb7d0643bf7c6d147314963ff469b6e41d2378fe9181081fa543f0aca50f2
 SHA512 
c8c7ccd86fa189a2b6739320f59f127512e53f908ed257280099f8c45754da98d2095835d0c14090cd071af0ed6e8ff95f9938f5ca8027b0b7001c7fd746fe59
 DIST dialog-1.3-20210509.tgz 562432 BLAKE2B 
f3a36d01f85516eb7297643158d02585bb62d4e54e90784218f0f9a825d7011093ed9c784bbdfd9c466b96b054ad44c23f97115599018befd449398678c78c64
 SHA512 
338ea8ee1bbbc44f0d8f511c5c87b246ea242a287346dd27e490d4854fdc00e9b4241d2ef372f131ef7152ebc2429d54c6bc1eeec0f89a6476e0a05f2683c64c
+DIST dialog-1.3-20210530.tgz 562950 BLAKE2B 
2aa33c4e2568f91a08d173c3a02d0d64f3b02127e70fc942fa76904fda9bd929fcb19b5254874199fc00e873e7dfb18365beba04350e80939bea5d75d8df8438
 SHA512 
8f39cfa5f3ba70795927c261861bc55bde668d68d3b45559542cf980e1cfabefb3d1ebabc91715e29a4a9ffca5cdb6affa640ed155539692c868942f6014e7e0

diff --git a/dev-util/dialog/dialog-1.3.20210530.ebuild 
b/dev-util/dialog/dialog-1.3.20210530.ebuild
new file mode 100644
index 00000000000..6bc6e9d5c9d
--- /dev/null
+++ b/dev-util/dialog/dialog-1.3.20210530.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_P=${PN}-$(ver_rs 2 -)
+
+DESCRIPTION="Tool to display dialog boxes from a shell"
+HOMEPAGE="https://invisible-island.net/dialog/";
+SRC_URI="https://invisible-mirror.net/archives/dialog/${MY_P}.tgz";
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="GPL-2"
+SLOT="0/15"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sparc ~x86"
+IUSE="examples minimal nls unicode"
+
+RDEPEND=">=sys-libs/ncurses-5.2-r5:=[unicode?]"
+DEPEND="${RDEPEND}
+       nls? ( sys-devel/gettext )"
+BDEPEND="!minimal? ( sys-devel/libtool )
+       virtual/pkgconfig"
+
+src_prepare() {
+       default
+
+       sed -i -e '/LIB_CREATE=/s:${CC}:& ${LDFLAGS}:g' configure || die
+       sed -i '/$(LIBTOOL_COMPILE)/s:$: $(LIBTOOL_OPTS):' makefile.in || die
+}
+
+src_configure() {
+       if [[ ${CHOST} == *-darwin* ]] ; then
+               export ac_cv_prog_LIBTOOL=glibtool
+       fi
+
+       econf \
+               --disable-rpath-hack \
+               --with-pkg-config \
+               $(use_enable nls) \
+               $(use_with !minimal libtool) \
+               --with-libtool-opts='-shared' \
+               --with-ncurses$(usex unicode w '')
+}
+
+src_install() {
+       use minimal && default || emake DESTDIR="${D}" install-full
+
+       use examples && dodoc -r samples
+
+       dodoc CHANGES README
+
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to